summaryrefslogtreecommitdiff
path: root/source4
diff options
context:
space:
mode:
authorSimo Sorce <idra@samba.org>2005-06-03 14:20:25 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:17:30 -0500
commite331dcbc32e4b2fccb964af908f3fdce031fa6bf (patch)
tree4c7e94660d125d74dd5a32d90b64c62ef272a426 /source4
parent266c37e5dc97879e30e790cd87d2ec1f43907477 (diff)
downloadsamba-e331dcbc32e4b2fccb964af908f3fdce031fa6bf.tar.gz
samba-e331dcbc32e4b2fccb964af908f3fdce031fa6bf.tar.bz2
samba-e331dcbc32e4b2fccb964af908f3fdce031fa6bf.zip
r7239: add a little test
(This used to be commit 9293de1c354854ace3f8f60a2accc72f4686c6e2)
Diffstat (limited to 'source4')
-rwxr-xr-xsource4/lib/ldb/tests/test-generic.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/source4/lib/ldb/tests/test-generic.sh b/source4/lib/ldb/tests/test-generic.sh
index 78fed1c12b..7b5c24512e 100755
--- a/source4/lib/ldb/tests/test-generic.sh
+++ b/source4/lib/ldb/tests/test-generic.sh
@@ -38,6 +38,7 @@ $VALGRIND bin/ldbsearch '(&(uid=uham)(uid=uham)(!(objectclass=xxx)))' || exit 1
$VALGRIND bin/ldbsearch '(&(objectclass=person)(uid=uham)(!(uid=uhamxx)))' uid \* \+ dn || exit 1
$VALGRIND bin/ldbsearch '(&(uid=uham)(uid=uha*)(title=*))' uid || exit 1
$VALGRIND bin/ldbsearch '((' uid && exit 1
+$VALGRIND bin/ldbsearch '(objectclass=)' uid || exit 1
$VALGRIND bin/ldbsearch 'dn=cn=Hampster Ursula,ou=Alumni Association,ou=People,o=University of Michigan,c=US' uid || exit 1
echo "Starting ldbtest indexed"